- Qt 6.7
- Qt 3D
- C++ Classes
- Qt3DRender
- QScissorTest
- Qt 6.7.3 Reference Documentation

# QScissorTest Class

class Qt3DRender::QScissorTest

The QScissorTest class discards fragments that fall outside of a certain rectangular portion of the screen. More...

Header: | #include <QScissorTest>
CMake: | find_package(Qt6 REQUIRED COMPONENTS 3drender) target_link_libraries(mytarget PRIVATE Qt6::3drender)
qmake: | QT += 3drender
Instantiated By: | ScissorTest
Inherits: | Qt3DRender::QRenderState

- List of all members, including inherited members

## Properties

- bottom : int
- height : int
- left : int
- width : int

## Public Functions

| QScissorTest(Qt3DCore::QNode *parent = nullptr)
int | bottom() const
int | height() const
int | left() const
int | width() const

## Public Slots

void | setBottom(int bottom)
void | setHeight(int height)
void | setLeft(int left)
void | setWidth(int width)

## Signals

void | bottomChanged(int bottom)
void | heightChanged(int height)
void | leftChanged(int left)
void | widthChanged(int width)

## Detailed Description

A QScissorTest class enables scissor test, which discards fragments outside the rectangular area of the screen specified by the left, bottom, width and height properties.

## Property Documentation

### bottom : int

Holds the bottom coordinate of the scissor box.

Access functions:

int | bottom() const
void | setBottom(int bottom)

Notifier signal:

void | bottomChanged(int bottom)

### height : int

Holds the height of the scissor box.

Access functions:

int | height() const
void | setHeight(int height)

Notifier signal:

void | heightChanged(int height)

### left : int

Holds the left coordinate of the scissor box.

Access functions:

int | left() const
void | setLeft(int left)

Notifier signal:

void | leftChanged(int left)

### width : int

Holds the width of the scissor box.

Access functions:

int | width() const
void | setWidth(int width)

Notifier signal:

void | widthChanged(int width)

## Member Function Documentation

### `[explicit]` QScissorTest::QScissorTest(Qt3DCore::QNode *parent = nullptr)

The constructor creates a new QScissorTest::QScissorTest instance with the specified parent